#include <bits/stdc++.h>
using namespace std;
int main()
{
	ifstream fi("MK.INP");
	ofstream fo("MK.OUT");
	char s[1000001];
	fi.getline (s,1000001);
	int ans=0;
	int b=0;
	for(int i=0; i<1000001; i++)
	{
		if(s[i]=='C')
		{
			ans=ans+(++b);
		}
		else 
		{
			if(s[i]=='N')
			{
				b=0;
			}
		}
	}
	fo<<ans;
	fi.close();
	fo.close();
}
